This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 559921 - (CVE-2010-0305) CVE-2010-0305 ejabberd: Remote DoS via flood of client2server messages
CVE-2010-0305 ejabberd: Remote DoS via flood of client2server messages
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
https://support.process-one.net/brows...
impact=low,source=internet,public=201...
: Security
: 559890 559909 (view as bug list)
Depends On: 559925
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-29 05:52 EST by Jan Lieskovsky
Modified: 2015-08-22 11:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:01:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-01-29 05:52:50 EST
Remotely exploitable DoS from XMPP client to ejabberd server
via flood of "client2server" messages (causing the message queue on
the server to get overloaded, leading to server crash) has been found.

Track of the incident:
  https://support.process-one.net/browse/EJAB-1173

Upstream patches against v2.1:
  https://forge.process-one.net/rdiff/ejabberd/branches/ejabberd-2.1.x/src/configure?r1=2688&r2=2936&u&N
  https://forge.process-one.net/rdiff/ejabberd/branches/ejabberd-2.1.x/src/ejabberd_c2s.erl?r1=2911&r2=2936&u&N

CVE Request:
  http://www.openwall.com/lists/oss-security/2010/01/29/1
Comment 1 Jan Lieskovsky 2010-01-29 05:59:25 EST
This issue affects the latest versions of ejabberd package, as shipped
with Fedora 11 (ejabberd-2.1.1-1.fc11) and 12 (ejabberd-2.1.1-1.fc12).

This issue affects the latest version of ejabberd package, as shipped
with EPEL-5 project (ejabberd-2.0.5-8.el5).

Please fix.
Comment 3 Fedora Update System 2010-01-29 08:33:18 EST
ejabberd-2.1.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ejabberd-2.1.2-2.fc12
Comment 4 Fedora Update System 2010-01-29 08:33:31 EST
ejabberd-2.1.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ejabberd-2.1.2-2.fc11
Comment 5 Jan Lieskovsky 2010-01-31 09:49:48 EST
This is CVE-2010-0305.
Comment 6 Fedora Update System 2010-02-04 20:19:37 EST
ejabberd-2.1.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-02-04 20:20:07 EST
ejabberd-2.1.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Josh Bressers 2010-03-22 15:12:21 EDT
*** Bug 559890 has been marked as a duplicate of this bug. ***
Comment 9 Josh Bressers 2010-03-22 15:13:20 EDT
*** Bug 559909 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.